<?php
	do {
		
		//Para Multiplos
		$multa = $row_recebimento_ven['Multa']+$row_recebimento_ven['Juros'];
		$desconto = $row_recebimento_ven['Desconto']+$row_recebimento_ven['pis']+$row_recebimento_ven['cofins']+$row_recebimento_ven['csll']+$row_recebimento_ven['ir']; 
		
		
		
		//HP
		$hp_antigo = $historico_padrao_banco;
		if($conta_cliente == 1190){ $historico_padrao_banco = '522';}
		if($conta_cliente == 3627){ $historico_padrao_banco = '463';}
		
		//Detalhado
		$detalhado = '';
		
		// Lancamento multiplo de DEBITO e CREDITO
		if($multa > 0 and $desconto >0 ){
			
			if(($row_recebimento_ven['Valor']+$multa) > 0){
			$texto .= str_pad($contador, 7, "0", STR_PAD_LEFT); // Numero do Lancamento
			$texto .= $row_recebimento_ven['dta_recebimento']; // Data do Movimento
			$texto .= str_pad('M', 7, " ", STR_PAD_RIGHT); // Conta Debito
			$texto .= str_pad('M', 7, " ", STR_PAD_RIGHT); // Conta Credito
			$texto .= str_pad(number_format($row_recebimento_ven['Valor']+$multa,2,'.',''), 17, "0", STR_PAD_LEFT); // Valor
			$texto .= str_pad('', 5, "0", STR_PAD_LEFT); // Historico Padrao
			$texto .= str_pad('', 200, " ", STR_PAD_RIGHT); // Detalhe
			$texto .= chr(13).chr(10); // Quebra de Liinha
			}
		
		
			//Se Tiver Desconto		
			if($row_recebimento_ven['Desconto'] > 0 ){
				$texto .= str_pad($contador, 7, "0", STR_PAD_LEFT); // Numero do Lancamento
				$texto .= $row_recebimento_ven['dta_recebimento']; // Data do Movimento
				$texto .= str_pad($conta_desconto, 7, " ", STR_PAD_RIGHT); // Conta Debito
				$texto .= str_pad('T', 7, " ", STR_PAD_RIGHT); // Conta Credito
				$texto .= str_pad(number_format($row_recebimento_ven['Desconto'],2,'.',''), 17, "0", STR_PAD_LEFT); // Valor
				$texto .= str_pad($historico_padrao_desconto, 5, "0", STR_PAD_LEFT); // Historico Padrao
				$texto .= substr(str_pad($row_recebimento_ven['NomeFantasia'].' Pasta: '.$row_recebimento_ven['num_pasta'].' '.$row_recebimento_ven['det'], 200, " ", STR_PAD_RIGHT),0,150); // Detalhe
				$texto .= chr(13).chr(10); // Quebra de Liinha
			}
			
			//Se Tiver PIS		
			if($row_recebimento_ven['pis'] > 0 ){
				$texto .= str_pad($contador, 7, "0", STR_PAD_LEFT); // Numero do Lancamento
				$texto .= $row_recebimento_ven['dta_recebimento']; // Data do Movimento
				$texto .= str_pad($conta_pis, 7, " ", STR_PAD_RIGHT); // Conta Debito
				$texto .= str_pad('T', 7, " ", STR_PAD_RIGHT); // Conta Credito
				$texto .= str_pad(number_format($row_recebimento_ven['pis'],2,'.',''), 17, "0", STR_PAD_LEFT); //Valor
				$texto .= str_pad($historico_padrao_pis, 5, "0", STR_PAD_LEFT); // Historico Padrao
				$texto .= substr(str_pad($row_recebimento_ven['NomeFantasia'].' Pasta: '.$row_recebimento_ven['num_pasta'].' '.$row_recebimento_ven['det'], 200, " ", STR_PAD_RIGHT),0,150); // Detalhe
				$texto .= chr(13).chr(10); // Quebra de Liinha
			}
			
			//Se Tiver COFINS		
			if($row_recebimento_ven['cofins'] > 0 ){
				$texto .= str_pad($contador, 7, "0", STR_PAD_LEFT); // Numero do Lancamento
				$texto .= $row_recebimento_ven['dta_recebimento']; // Data do Movimento
				$texto .= str_pad($conta_cofins, 7, " ", STR_PAD_RIGHT); // Conta Debito
				$texto .= str_pad('T', 7, " ", STR_PAD_RIGHT); // Conta Credito
				$texto .= str_pad(number_format($row_recebimento_ven['cofins'],2,'.',''), 17, "0", STR_PAD_LEFT); //Valor
				$texto .= str_pad($historico_padrao_cofins, 5, "0", STR_PAD_LEFT); // Historico Padrao
				$texto .= substr(str_pad($row_recebimento_ven['NomeFantasia'].' Pasta: '.$row_recebimento_ven['num_pasta'].' '.$row_recebimento_ven['det'], 200, " ", STR_PAD_RIGHT),0,150); // Detalhe
				$texto .= chr(13).chr(10); // Quebra de Liinha
			}
			
			//Se Tiver CSLL		
			if($row_recebimento_ven['csll'] > 0 ){
				$texto .= str_pad($contador, 7, "0", STR_PAD_LEFT); // Numero do Lancamento
				$texto .= $row_recebimento_ven['dta_recebimento']; // Data do Movimento
				$texto .= str_pad($conta_csll, 7, " ", STR_PAD_RIGHT); // Conta Debito
				$texto .= str_pad('T', 7, " ", STR_PAD_RIGHT); // Conta Credito
				$texto .= str_pad(number_format($row_recebimento_ven['csll'],2,'.',''), 17, "0", STR_PAD_LEFT); //Valor
				$texto .= str_pad($historico_padrao_csll, 5, "0", STR_PAD_LEFT); // Historico Padrao
				$texto .= substr(str_pad($row_recebimento_ven['NomeFantasia'].' Pasta: '.$row_recebimento_ven['num_pasta'].' '.$row_recebimento_ven['det'], 200, " ", STR_PAD_RIGHT),0,150); // Detalhe
				$texto .= chr(13).chr(10); // Quebra de Liinha
			}
			
			//Se Tiver IR		
			if($row_recebimento_ven['ir'] > 0 ){
				$texto .= str_pad($contador, 7, "0", STR_PAD_LEFT); // Numero do Lancamento
				$texto .= $row_recebimento_ven['dta_recebimento']; // Data do Movimento
				$texto .= str_pad($conta_ir, 7, " ", STR_PAD_RIGHT); // Conta Debito
				$texto .= str_pad('T', 7, " ", STR_PAD_RIGHT); // Conta Credito
				$texto .= str_pad(number_format($row_recebimento_ven['ir'],2,'.',''), 17, "0", STR_PAD_LEFT); //Valor
				$texto .= str_pad($historico_padrao_ir, 5, "0", STR_PAD_LEFT); // Historico Padrao
				$texto .= substr(str_pad($row_recebimento_ven['NomeFantasia'].' Pasta: '.$row_recebimento_ven['num_pasta'].' '.$row_recebimento_ven['det'], 200, " ", STR_PAD_RIGHT),0,150); // Detalhe
				$texto .= chr(13).chr(10); // Quebra de Liinha
			}
		
			//Lancamento no Banco
			$cheque = '';
			if($row_recebimento_ven['Cheque'] <> '0'){ $cheque = ' Ch. '.$row_recebimento_ven['Cheque']; }
			if(($row_recebimento_ven['Valor']+$multa - $desconto) > 0){
			$texto .= str_pad($contador, 7, "0", STR_PAD_LEFT); // Numero do Lancamento
			$texto .= $row_recebimento_ven['dta_recebimento']; // Data do Movimento
			$texto .= str_pad($row_recebimento_ven['banco_conta'], 7, " ", STR_PAD_RIGHT); // Conta Debito
			$texto .= str_pad('T', 7, " ", STR_PAD_RIGHT); // Conta Credito
			$texto .= str_pad(number_format($row_recebimento_ven['Valor']+$multa - $desconto,2,'.',''), 17, "0", STR_PAD_LEFT); //Valor
			$texto .= str_pad($historico_padrao_banco, 5, "0", STR_PAD_LEFT); // Historico Padrao
			$texto .= substr(str_pad($row_recebimento_ven['NomeFantasia'].' Pasta: '.$row_recebimento_ven['num_pasta'].' '.$row_recebimento_ven['det'].$cheque, 200, " ", STR_PAD_RIGHT),0,150); // Detalhe
			$texto .= chr(13).chr(10); // Quebra de Liinha
			}
		
		
			//Se Tiver Juros		
			if($row_recebimento_ven['Juros'] > 0 ){
				$texto .= str_pad($contador, 7, "0", STR_PAD_LEFT); // Numero do Lancamento
				$texto .= $row_recebimento_ven['dta_recebimento']; // Data do Movimento
				$texto .= str_pad('T', 7, " ", STR_PAD_RIGHT); // Conta Debito
				$texto .= str_pad($conta_juros, 7, " ", STR_PAD_RIGHT); // Conta Credito
				$texto .= str_pad(number_format($row_recebimento_ven['Juros'],2,'.',''), 17, "0", STR_PAD_LEFT); //Valor
				$texto .= str_pad($historico_padrao_juros, 5, "0", STR_PAD_LEFT); // Historico Padrao
				$texto .= substr(str_pad($row_recebimento_ven['NomeFantasia'].' Pasta: '.$row_recebimento_ven['num_pasta'].' '.$row_recebimento_ven['det'], 200, " ", STR_PAD_RIGHT),0,150); // Detalhe
				$texto .= chr(13).chr(10); // Quebra de Liinha
			}
			
			
			//Se Tiver Multa
			if($row_recebimento_ven['Multa'] > 0 ){
				$texto .= str_pad($contador, 7, "0", STR_PAD_LEFT); // Numero do Lancamento
				$texto .= $row_recebimento_ven['dta_recebimento']; // Data do Movimento
				$texto .= str_pad('T', 7, " ", STR_PAD_RIGHT); // Conta Debito
				$texto .= str_pad($conta_multa, 7, " ", STR_PAD_RIGHT); // Conta Credito
				$texto .= str_pad(number_format($row_recebimento_ven['Multa'],2,'.',''), 17, "0", STR_PAD_LEFT); //Valor
				$texto .= str_pad($historico_padrao_multa, 5, "0", STR_PAD_LEFT); // Historico Padrao
				$texto .= substr(str_pad($row_recebimento_ven['NomeFantasia'].' Pasta: '.$row_recebimento_ven['num_pasta'].' '.$row_recebimento_ven['det'], 200, " ", STR_PAD_RIGHT),0,150); // Detalhe
				$texto .= chr(13).chr(10); // Quebra de Liinha
			}
			
			//Lancamento da Conta Cliente
			$cheque = '';
			if($row_recebimento_ven['Cheque'] <> '0'){ $cheque = ' Ch. '.$row_recebimento_ven['Cheque']; }
			if($row_recebimento_ven['Valor'] > 0 ){
			$texto .= str_pad($contador, 7, "0", STR_PAD_LEFT); // Numero do Lancamento
			$texto .= $row_recebimento_ven['dta_recebimento']; // Data do Movimento
			$texto .= str_pad('T', 7, " ", STR_PAD_RIGHT); // Conta Debito
			$texto .= str_pad($conta_cliente, 7, " ", STR_PAD_RIGHT); // Conta Credito
			$texto .= str_pad(number_format($row_recebimento_ven['Valor'],2,'.',''), 17, "0", STR_PAD_LEFT); //Valor
			$texto .= str_pad($historico_padrao_multa, 5, "0", STR_PAD_LEFT); // Historico Padrao
			$texto .= substr(str_pad($row_recebimento_ven['NomeFantasia'].' Pasta: '.$row_recebimento_ven['num_pasta'].' '.$row_recebimento_ven['det'].$cheque, 200, " ", STR_PAD_RIGHT),0,150); // Detalhe
			$texto .= chr(13).chr(10); // Quebra de Liinha
			}
		
		//Final de Lancamento Multiplo de Debito e Credito
		}
		
		// Lancamento multiplo de CREDITO
		if($multa > 0 and $desconto ==0 ){
			$cheque = '';
			if($row_recebimento_ven['Cheque'] <> '0'){ $cheque = ' Ch. '.$row_recebimento_ven['Cheque']; }
			if(($row_recebimento_ven['Valor']+$multa) > 0 ){
			$texto .= str_pad($contador, 7, "0", STR_PAD_LEFT); // Numero do Lancamento
			$texto .= $row_recebimento_ven['dta_recebimento']; // Data do Movimento
			$texto .= str_pad($row_recebimento_ven['banco_conta'], 7, " ", STR_PAD_RIGHT); // Conta Debito
			$texto .= str_pad('M', 7, " ", STR_PAD_RIGHT); // Conta Credito
			$texto .= str_pad(number_format($row_recebimento_ven['Valor']+$multa,2,'.',''), 17, "0", STR_PAD_LEFT); // Valor
			$texto .= str_pad($historico_padrao_banco, 5, "0", STR_PAD_LEFT); // Historico Padrao
			$texto .= substr(str_pad($row_recebimento_ven['NomeFantasia'].' Pasta: '.$row_recebimento_ven['num_pasta'].' '.$row_recebimento_ven['det'].$cheque, 200, " ", STR_PAD_RIGHT),0,150); // Detalhe
			$texto .= chr(13).chr(10); // Quebra de Liinha
			}
		
		
					
			//Se Tiver Juros		
			if($row_recebimento_ven['Juros'] > 0 ){
				$texto .= str_pad($contador, 7, "0", STR_PAD_LEFT); // Numero do Lancamento
				$texto .= $row_recebimento_ven['dta_recebimento']; // Data do Movimento
				$texto .= str_pad($row_recebimento_ven['banco_conta'], 7, " ", STR_PAD_RIGHT); // Conta Debito
				$texto .= str_pad($conta_juros, 7, " ", STR_PAD_RIGHT); // Conta Credito
				$texto .= str_pad(number_format($row_recebimento_ven['Juros'],2,'.',''), 17, "0", STR_PAD_LEFT); //Valor
				$texto .= str_pad($historico_padrao_juros, 5, "0", STR_PAD_LEFT); // Historico Padrao
				$texto .= substr(str_pad($row_recebimento_ven['NomeFantasia'].' Pasta: '.$row_recebimento_ven['num_pasta'].' '.$row_recebimento_ven['det'], 200, " ", STR_PAD_RIGHT),0,150); // Detalhe
				$texto .= chr(13).chr(10); // Quebra de Liinha
			}
			
			
			//Se Tiver Multa
			if($row_recebimento_ven['Multa'] > 0 ){
				$texto .= str_pad($contador, 7, "0", STR_PAD_LEFT); // Numero do Lancamento
				$texto .= $row_recebimento_ven['dta_recebimento']; // Data do Movimento
				$texto .= str_pad($row_recebimento_ven['banco_conta'], 7, " ", STR_PAD_RIGHT); // Conta Debito
				$texto .= str_pad($conta_multa, 7, " ", STR_PAD_RIGHT); // Conta Credito
				$texto .= str_pad(number_format($row_recebimento_ven['Multa'],2,'.',''), 17, "0", STR_PAD_LEFT); //Valor
				$texto .= str_pad($historico_padrao_multa, 5, "0", STR_PAD_LEFT); // Historico Padrao
				$texto .= substr(str_pad($row_recebimento_ven['NomeFantasia'].' Pasta: '.$row_recebimento_ven['num_pasta'].' '.$row_recebimento_ven['det'], 200, " ", STR_PAD_RIGHT),0,150); // Detalhe
				$texto .= chr(13).chr(10); // Quebra de Liinha
			}
			
			//Lancamento da Conta Cliente
			if($row_recebimento_ven['Valor'] > 0 ){
			$texto .= str_pad($contador, 7, "0", STR_PAD_LEFT); // Numero do Lancamento
			$texto .= $row_recebimento_ven['dta_recebimento']; // Data do Movimento
			$texto .= str_pad($row_recebimento_ven['banco_conta'], 7, " ", STR_PAD_RIGHT); // Conta Debito
			$texto .= str_pad($conta_cliente, 7, " ", STR_PAD_RIGHT); // Conta Credito
			$texto .= str_pad(number_format($row_recebimento_ven['Valor'],2,'.',''), 17, "0", STR_PAD_LEFT); //Valor
			$texto .= str_pad($historico_padrao_multa, 5, "0", STR_PAD_LEFT); // Historico Padrao
			$texto .= substr(str_pad($row_recebimento_ven['NomeFantasia'].' Pasta: '.$row_recebimento_ven['num_pasta'].' '.$row_recebimento_ven['det'], 200, " ", STR_PAD_RIGHT),0,150); // Detalhe
			$texto .= chr(13).chr(10); // Quebra de Liinha
			}
		
		//Final de Lancamento Multiplo de CREDITO
		}
		
		// Lancamento multiplo de DEBITO
		if($multa ==0 and $desconto >0 ){
		
			if($row_recebimento_ven['Valor'] > 0 ){
			$texto .= str_pad($contador, 7, "0", STR_PAD_LEFT); // Numero do Lancamento
			$texto .= $row_recebimento_ven['dta_recebimento']; // Data do Movimento
			$texto .= str_pad('M', 7, " ", STR_PAD_RIGHT); // Conta Debito
			$texto .= str_pad($conta_cliente, 7, " ", STR_PAD_RIGHT); // Conta Credito
			$texto .= str_pad(number_format($row_recebimento_ven['Valor'],2,'.',''), 17, "0", STR_PAD_LEFT); // Valor
			$texto .= str_pad($historico_padrao_multa, 5, "0", STR_PAD_LEFT); // Historico Padrao
			$texto .= substr(str_pad($row_recebimento_ven['NomeFantasia'].' Pasta: '.$row_recebimento_ven['num_pasta'].' '.$row_recebimento_ven['det'], 200, " ", STR_PAD_RIGHT),0,150); // Detalhe
			$texto .= chr(13).chr(10); // Quebra de Liinha
			}
		
		
			//Se Tiver Desconto		
			if($row_recebimento_ven['Desconto'] > 0 ){
				$texto .= str_pad($contador, 7, "0", STR_PAD_LEFT); // Numero do Lancamento
				$texto .= $row_recebimento_ven['dta_recebimento']; // Data do Movimento
				$texto .= str_pad($conta_desconto, 7, " ", STR_PAD_RIGHT); // Conta Debito
				$texto .= str_pad($conta_cliente, 7, " ", STR_PAD_RIGHT); // Conta Credito
				$texto .= str_pad(number_format($row_recebimento_ven['Desconto'],2,'.',''), 17, "0", STR_PAD_LEFT); // Valor
				$texto .= str_pad($historico_padrao_desconto, 5, "0", STR_PAD_LEFT); // Historico Padrao
				$texto .= substr(str_pad($row_recebimento_ven['NomeFantasia'].' Pasta: '.$row_recebimento_ven['num_pasta'].' '.$row_recebimento_ven['det'], 200, " ", STR_PAD_RIGHT),0,150); // Detalhe
				$texto .= chr(13).chr(10); // Quebra de Liinha
			}
			
			//Se Tiver PIS		
			if($row_recebimento_ven['pis'] > 0 ){
				$texto .= str_pad($contador, 7, "0", STR_PAD_LEFT); // Numero do Lancamento
				$texto .= $row_recebimento_ven['dta_recebimento']; // Data do Movimento
				$texto .= str_pad($conta_pis, 7, " ", STR_PAD_RIGHT); // Conta Debito
				$texto .= str_pad($conta_cliente, 7, " ", STR_PAD_RIGHT); // Conta Credito
				$texto .= str_pad(number_format($row_recebimento_ven['pis'],2,'.',''), 17, "0", STR_PAD_LEFT); //Valor
				$texto .= str_pad($historico_padrao_pis, 5, "0", STR_PAD_LEFT); // Historico Padrao
				$texto .= substr(str_pad($row_recebimento_ven['NomeFantasia'].' Pasta: '.$row_recebimento_ven['num_pasta'].' '.$row_recebimento_ven['det'], 200, " ", STR_PAD_RIGHT),0,150); // Detalhe
				$texto .= chr(13).chr(10); // Quebra de Liinha
			}
			
			//Se Tiver COFINS		
			if($row_recebimento_ven['cofins'] > 0 ){
				$texto .= str_pad($contador, 7, "0", STR_PAD_LEFT); // Numero do Lancamento
				$texto .= $row_recebimento_ven['dta_recebimento']; // Data do Movimento
				$texto .= str_pad($conta_cofins, 7, " ", STR_PAD_RIGHT); // Conta Debito
				$texto .= str_pad($conta_cliente, 7, " ", STR_PAD_RIGHT); // Conta Credito
				$texto .= str_pad(number_format($row_recebimento_ven['cofins'],2,'.',''), 17, "0", STR_PAD_LEFT); //Valor
				$texto .= str_pad($historico_padrao_cofins, 5, "0", STR_PAD_LEFT); // Historico Padrao
				$texto .= substr(str_pad($row_recebimento_ven['NomeFantasia'].' Pasta: '.$row_recebimento_ven['num_pasta'].' '.$row_recebimento_ven['det'], 200, " ", STR_PAD_RIGHT),0,150); // Detalhe
				$texto .= chr(13).chr(10); // Quebra de Liinha
			}
			
			//Se Tiver CSLL		
			if($row_recebimento_ven['csll'] > 0 ){
				$texto .= str_pad($contador, 7, "0", STR_PAD_LEFT); // Numero do Lancamento
				$texto .= $row_recebimento_ven['dta_recebimento']; // Data do Movimento
				$texto .= str_pad($conta_csll, 7, " ", STR_PAD_RIGHT); // Conta Debito
				$texto .= str_pad($conta_cliente, 7, " ", STR_PAD_RIGHT); // Conta Credito
				$texto .= str_pad(number_format($row_recebimento_ven['csll'],2,'.',''), 17, "0", STR_PAD_LEFT); //Valor
				$texto .= str_pad($historico_padrao_csll, 5, "0", STR_PAD_LEFT); // Historico Padrao
				$texto .= substr(str_pad($row_recebimento_ven['NomeFantasia'].' Pasta: '.$row_recebimento_ven['num_pasta'].' '.$row_recebimento_ven['det'], 200, " ", STR_PAD_RIGHT),0,150); // Detalhe
				$texto .= chr(13).chr(10); // Quebra de Liinha
			}
			
			//Se Tiver IR		
			if($row_recebimento_ven['ir'] > 0 ){
				$texto .= str_pad($contador, 7, "0", STR_PAD_LEFT); // Numero do Lancamento
				$texto .= $row_recebimento_ven['dta_recebimento']; // Data do Movimento
				$texto .= str_pad($conta_ir, 7, " ", STR_PAD_RIGHT); // Conta Debito
				$texto .= str_pad($conta_cliente, 7, " ", STR_PAD_RIGHT); // Conta Credito
				$texto .= str_pad(number_format($row_recebimento_ven['ir'],2,'.',''), 17, "0", STR_PAD_LEFT); //Valor
				$texto .= str_pad($historico_padrao_ir, 5, "0", STR_PAD_LEFT); // Historico Padrao
				$texto .= substr(str_pad($row_recebimento_ven['NomeFantasia'].' Pasta: '.$row_recebimento_ven['num_pasta'].' '.$row_recebimento_ven['det'], 200, " ", STR_PAD_RIGHT),0,150); // Detalhe
				$texto .= chr(13).chr(10); // Quebra de Liinha
			}
		
			//Lancamento no Banco
			$cheque = '';
			if($row_recebimento_ven['Cheque'] <> '0'){ $cheque = ' Ch. '.$row_recebimento_ven['Cheque']; }
			if(($row_recebimento_ven['Valor']+$multa - $desconto) > 0 ){
			$texto .= str_pad($contador, 7, "0", STR_PAD_LEFT); // Numero do Lancamento
			$texto .= $row_recebimento_ven['dta_recebimento']; // Data do Movimento
			$texto .= str_pad($row_recebimento_ven['banco_conta'], 7, " ", STR_PAD_RIGHT); // Conta Debito
			$texto .= str_pad($conta_cliente, 7, " ", STR_PAD_RIGHT); // Conta Credito
			$texto .= str_pad(number_format($row_recebimento_ven['Valor']+$multa - $desconto,2,'.',''), 17, "0", STR_PAD_LEFT); //Valor
			$texto .= str_pad($historico_padrao_banco, 5, "0", STR_PAD_LEFT); // Historico Padrao
			$texto .= substr(str_pad($row_recebimento_ven['NomeFantasia'].' Pasta: '.$row_recebimento_ven['num_pasta'].' '.$row_recebimento_ven['det'].$cheque, 200, " ", STR_PAD_RIGHT),0,150); // Detalhe
			$texto .= chr(13).chr(10); // Quebra de Liinha
			}
		
		//Final de Lancamento Multiplo de DEBITO
		}
		
		// Lancamento SIMPLES
		if($multa ==0 and $desconto ==0 ){
			
			$detalhado = str_pad($row_recebimento_ven['NomeFantasia'].' Pasta: '.$row_recebimento_ven['num_pasta'].' '.$row_recebimento_ven['det'].$cheque, 200, " ", STR_PAD_RIGHT);
			if($row_recebimento_ven['cli_id'] == 225){ 
				$historico_padrao_banco = 51;
				$conta_cliente = 3627;
				$detalhado = str_pad(' em: '.$row_recebimento_ven['det'], 200, " ", STR_PAD_RIGHT);
			}

			
			
			$cheque = '';
			if($row_recebimento_ven['Cheque'] <> '0'){ $cheque = ' Ch. '.$row_recebimento_ven['Cheque']; }
			if(($row_recebimento_ven['Valor']) > 0 ){
			$texto .= str_pad($contador, 7, "0", STR_PAD_LEFT); // Numero do Lancamento
			$texto .= $row_recebimento_ven['dta_recebimento']; // Data do Movimento
			$texto .= str_pad($row_recebimento_ven['banco_conta'], 7, " ", STR_PAD_RIGHT); // Conta Debito
			$texto .= str_pad($conta_cliente, 7, " ", STR_PAD_RIGHT); // Conta Credito
			$texto .= str_pad(number_format($row_recebimento_ven['Valor'],2,'.',''), 17, "0", STR_PAD_LEFT); // Valor
			$texto .= str_pad($historico_padrao_banco, 5, "0", STR_PAD_LEFT); // Historico Padrao
			$texto .= substr($detalhado,0,150); // Detalhe
			$texto .= chr(13).chr(10); // Quebra de Liinha
			}

		//Final de Lancamento Multiplo de DEBITO
		}
		
		
		$historico_padrao_banco = $hp_antigo;
		if($texto <> ''){
		fwrite($fp,$texto); //Escrever no Arquivo
		$texto = '';
		$contador++;
		}
		
		$atualizar = "UPDATE mfin_recebimentos SET phoenix=CURDATE() WHERE Id= ".$row_recebimento_ven['rec_id'];
		mysql_query($atualizar, $paivaconex) or die(mysql_error());
	
	} while ($row_recebimento_ven = mysql_fetch_assoc($recebimento_ven));

?>